security/validns - The NetBSD Packages Collection

Validns, a high performance DNS/DNSSEC zone validator

Validns is a standalone command line RFC 1034/1035 zone file validation
tool that, in addition to basic syntactic and semantic zone checks,
includes DNSSEC signature verification and NSEC/NSEC3 chain validation,
as well a number of optional policy checks on the zone.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/libjudy

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvalidns-0.8nb5.tgz
NetBSD 8.0earmv7hfvalidns-0.8nb5.tgz
NetBSD 8.0i386validns-0.8nb5.tgz
NetBSD 8.0powerpcvalidns-0.8nb5.tgz
NetBSD 8.0powerpcvalidns-0.8nb5.tgz
NetBSD 8.0powerpcvalidns-0.8nb5.tgz
NetBSD 8.0x86_64validns-0.8nb5.tgz
NetBSD 9.0aarch64validns-0.8nb5.tgz
NetBSD 9.0aarch64validns-0.8nb5.tgz
NetBSD 9.0alphavalidns-0.8nb5.tgz
NetBSD 9.0alphavalidns-0.8nb5.tgz
NetBSD 9.0earmv6hfvalidns-0.8nb5.tgz
NetBSD 9.0earmv6hfvalidns-0.8nb5.tgz
NetBSD 9.0earmv7hfvalidns-0.8nb5.tgz
NetBSD 9.0earmv7hfvalidns-0.8nb5.tgz
NetBSD 9.0earmv7hfvalidns-0.8nb5.tgz
NetBSD 9.0i386validns-0.8nb5.tgz
NetBSD 9.0i386validns-0.8nb5.tgz
NetBSD 9.0mips64ebvalidns-0.8nb5.tgz
NetBSD 9.0mips64ebvalidns-0.8nb5.tgz
NetBSD 9.0powerpcvalidns-0.8nb5.tgz
NetBSD 9.0powerpcvalidns-0.8nb5.tgz
NetBSD 9.0powerpcvalidns-0.8nb5.tgz
NetBSD 9.0sparc64validns-0.8nb5.tgz
NetBSD 9.0sparc64validns-0.8nb5.tgz
NetBSD 9.0sparcvalidns-0.8nb5.tgz
NetBSD 9.0sparcvalidns-0.8nb5.tgz
NetBSD 9.0x86_64validns-0.8nb5.tgz
NetBSD 9.0x86_64validns-0.8nb5.tgz
NetBSD 9.0x86_64validns-0.8nb5.tgz
NetBSD 9.0x86_64validns-0.8nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.